Debian Bug report logs - #685268
tpu: isc-dhcp/4.2.2.dfsg.1-5+deb7u1

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Michael Gilbert <mgilbert@debian.org>

Date: Sun, 19 Aug 2012 04:00:02 UTC

Severity: normal

Tags: moreinfo

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#685268; Package release.debian.org. (Sun, 19 Aug 2012 04:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 19 Aug 2012 04:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Debian Install System Team <debian-boot@lists.debian.org>, pkg-dhcp-devel@lists.alioth.debian.org, apollock@debian.org
Subject: unblock: isc-dhcp/4.2.4-1
Date: Sat, 18 Aug 2012 23:56:14 -0400
Package: release.debian.org
User: release.debian.org@packages.debian.org
Usertags: unblock
Severity: normal

Please unblock package isc-dhcp

Andrew hasn't yet made it clear which version he's been planning to
support in wheezy [0], but he did upload this one well before the
freeze.  Unfortunately it was udeb blocked, so it didn't go in during
the grace period.  I'm going forward with this unblock request
because there are a set of security issues that need to be
backported to whichever version is shipping with wheezy.  If
this one can go in, it will involve fewer patches, and I won't need
to use TPU or testing-security.

The differences between this version and testing's are primarily
that its two upstream point releases newer.  The debian changes
include an RFC compatibility fix and a corection for a kfreebsd
subnet issue.

CCing -boot since this involves a udeb unblock.  I understand
d-i beta2 is coming (soon?), so its likely a please wait from
that perspective.

unblock isc-dhcp/4.2.4-1

[0] http://lists.alioth.debian.org/pipermail/pkg-dhcp-devel/2012-August/001435.html



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#685268; Package release.debian.org. (Sun, 19 Aug 2012 10:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 19 Aug 2012 10:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 685268@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Michael Gilbert <mgilbert@debian.org>, 685268@bugs.debian.org
Cc: Debian Install System Team <debian-boot@lists.debian.org>, pkg-dhcp-devel@lists.alioth.debian.org, apollock@debian.org
Subject: Re: Bug#685268: unblock: isc-dhcp/4.2.4-1
Date: Sun, 19 Aug 2012 12:25:52 +0200
[Message part 1 (text/plain, inline)]
Michael Gilbert <mgilbert@debian.org> (18/08/2012):
> Andrew hasn't yet made it clear which version he's been planning to
> support in wheezy [0], but he did upload this one well before the
> freeze.

Nice try:
[2012-07-01] Accepted 4.2.4-1 in unstable (low) (Andrew Pollock)

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#685268; Package release.debian.org. (Sun, 19 Aug 2012 16:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 19 Aug 2012 16:06:06 GMT) Full text and rfc822 format available.

Message #15 received at 685268@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: Cyril Brulebois <kibi@debian.org>
Cc: 685268@bugs.debian.org, Debian Install System Team <debian-boot@lists.debian.org>, pkg-dhcp-devel@lists.alioth.debian.org
Subject: Re: [pkg-dhcp-devel] Bug#685268: unblock: isc-dhcp/4.2.4-1
Date: Sun, 19 Aug 2012 12:03:07 -0400
On Sun, Aug 19, 2012 at 6:25 AM, Cyril Brulebois wrote:
> Michael Gilbert <mgilbert@debian.org> (18/08/2012):
>> Andrew hasn't yet made it clear which version he's been planning to
>> support in wheezy [0], but he did upload this one well before the
>> freeze.
>
> Nice try:
> [2012-07-01] Accepted 4.2.4-1 in unstable (low) (Andrew Pollock)

Anyway, it was close.  I don't know whether 0330 UTC July 1 is before
the exact time of the freeze or not, but I do recall the packaging
having an automatic unblock (and a block-udeb) during the month of
July.

Regardless, I don't really care which way the call on this goes, I
just need the call made so I can fix the right version.

Best wishes,
Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#685268; Package release.debian.org. (Sun, 19 Aug 2012 16:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 19 Aug 2012 16:27:04 GMT) Full text and rfc822 format available.

Message #20 received at 685268@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Michael Gilbert <michael.s.gilbert@gmail.com>
Cc: 685268@bugs.debian.org, Debian Install System Team <debian-boot@lists.debian.org>, pkg-dhcp-devel@lists.alioth.debian.org
Subject: Re: [pkg-dhcp-devel] Bug#685268: unblock: isc-dhcp/4.2.4-1
Date: Sun, 19 Aug 2012 18:23:36 +0200
[Message part 1 (text/plain, inline)]
Michael Gilbert <michael.s.gilbert@gmail.com> (19/08/2012):
> On Sun, Aug 19, 2012 at 6:25 AM, Cyril Brulebois wrote:
> > Michael Gilbert <mgilbert@debian.org> (18/08/2012):
> >> Andrew hasn't yet made it clear which version he's been planning to
> >> support in wheezy [0], but he did upload this one well before the
> >> freeze.
> >
> > Nice try:
> > [2012-07-01] Accepted 4.2.4-1 in unstable (low) (Andrew Pollock)
> 
> Anyway, it was close.

“close” isn't exactly “well before” as you previously claimed.

> I don't know whether 0330 UTC July 1 is before the exact time of the
> freeze or not, but I do recall the packaging having an automatic
> unblock (and a block-udeb) during the month of July.

Perhaps you should read the freeze announce then?

> Regardless, I don't really care which way the call on this goes, I
> just need the call made so I can fix the right version.

I don't see any reasons why the version currently sitting in testing
would not be the version in wheezy. Which should answer your question
I think.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#685268; Package release.debian.org. (Sun, 19 Aug 2012 18:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 19 Aug 2012 18:42:03 GMT) Full text and rfc822 format available.

Message #25 received at 685268@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: Cyril Brulebois <kibi@debian.org>
Cc: 685268@bugs.debian.org, Debian Install System Team <debian-boot@lists.debian.org>, pkg-dhcp-devel@lists.alioth.debian.org
Subject: Re: [pkg-dhcp-devel] Bug#685268: unblock: isc-dhcp/4.2.4-1
Date: Sun, 19 Aug 2012 14:39:37 -0400
On Sun, Aug 19, 2012 at 12:23 PM, Cyril Brulebois wrote:
>> Anyway, it was close.
>
> “close” isn't exactly “well before” as you previously claimed.

Wording mistake.  Sorry.

> I don't see any reasons why the version currently sitting in testing
> would not be the version in wheezy. Which should answer your question
> I think.

Thank you.

Best wishes,
Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#685268; Package release.debian.org. (Mon, 20 Aug 2012 03:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 20 Aug 2012 03:48:03 GMT) Full text and rfc822 format available.

Message #30 received at 685268@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: Michael Gilbert <mgilbert@debian.org>, 685268@bugs.debian.org, Debian Install System Team <debian-boot@lists.debian.org>, pkg-dhcp-devel@lists.alioth.debian.org
Subject: Re: Bug#685268: unblock: isc-dhcp/4.2.4-1
Date: Sun, 19 Aug 2012 20:31:13 -0700
[Message part 1 (text/plain, inline)]
On Sun, Aug 19, 2012 at 12:25:52PM +0200, Cyril Brulebois wrote:
> Michael Gilbert <mgilbert@debian.org> (18/08/2012):
> > Andrew hasn't yet made it clear which version he's been planning to
> > support in wheezy [0], but he did upload this one well before the
> > freeze.
> 
> Nice try:
> [2012-07-01] Accepted 4.2.4-1 in unstable (low) (Andrew Pollock)

Thanks for trying Michael.

I'd been desperately trying to get 4.2.4-1 in before the freeze, but Real
Life got in the way, and I didn't feel I had a good case for a freeze
exception for 4.2.4-1, given it was my own inability to get it in on time
that was the reason it got caught up by the freeze.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#685268; Package release.debian.org. (Sun, 09 Sep 2012 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 09 Sep 2012 22:57:03 GMT) Full text and rfc822 format available.

Message #35 received at 685268@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 685268@bugs.debian.org
Cc: Michael Gilbert <michael.s.gilbert@gmail.com>, Debian Install System Team <debian-boot@lists.debian.org>, pkg-dhcp-devel@lists.alioth.debian.org
Subject: tpu: isc-dhcp/4.2.2.dfsg.1-5+deb7u1
Date: Sun, 09 Sep 2012 18:53:57 -0400
[Message part 1 (text/plain, inline)]
Control: retitle -1 tpu: isc-dhcp/4.2.2.dfsg.1-5+deb7u1
Control: user release.debian.org@packages.debian.org
Control: usertags -1 = tpu

Le 19/08/2012 12:23, Cyril Brulebois a écrit :

> I don't see any reasons why the version currently sitting in testing
> would not be the version in wheezy.

I've prepared a tpu for isc-dhcp, addressing three grave security
issues. Thanks in advance for considering it.

Regards

David

[isc-dhcp_tpu.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'tpu: isc-dhcp/4.2.2.dfsg.1-5+deb7u1' from 'unblock: isc-dhcp/4.2.4-1' Request was from David Prévot <taffit@debian.org> to 685268-submit@bugs.debian.org. (Sun, 09 Sep 2012 22:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#685268; Package release.debian.org. (Mon, 10 Sep 2012 21:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 10 Sep 2012 21:06:03 GMT) Full text and rfc822 format available.

Message #42 received at 685268@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: 685268@bugs.debian.org
Cc: Michael Gilbert <michael.s.gilbert@gmail.com>, pkg-dhcp-devel@lists.alioth.debian.org
Subject: Re: Bug#685268: tpu: isc-dhcp/4.2.2.dfsg.1-5+deb7u1
Date: Mon, 10 Sep 2012 17:02:43 -0400
[Message part 1 (text/plain, inline)]
Control: tags -1 moreinfo

Le 09/09/2012 18:53, David Prévot a écrit :

> I've prepared a tpu for isc-dhcp, addressing three grave security
> issues. Thanks in advance for considering it.

Please, disregard my request: one of the maintainers is “going to do
work on that within the next week” [0]

	0: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=686174#19

Regards

David


[signature.asc (application/pgp-signature, attachment)]

Added tag(s) moreinfo. Request was from David Prévot <taffit@debian.org> to 685268-submit@bugs.debian.org. (Mon, 10 Sep 2012 21:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#685268; Package release.debian.org. (Fri, 14 Sep 2012 23:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 14 Sep 2012 23:51:06 GMT) Full text and rfc822 format available.

Message #49 received at 685268@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: Michael Gilbert <mgilbert@debian.org>
Cc: 686174@bugs.debian.org, 685268@bugs.debian.org, team@security.debian.org
Subject: Your isc-dhcp 4.2.2.dfsg.1-5+wheezy1 upload
Date: Fri, 14 Sep 2012 18:46:48 -0500
Hi,

I'm rejecting your isc-dhcp upload to the security archive for the following 
reasons:

* Uploads must be coordinated and ACKed by the security team. Unless I'm 
missing something, it didn't happen this way.
* Incorrect version numbering. For Wheezy the +debNuX schema will be used.
* The testing-security queue is not functional. Any security update for 
wheezy, during its freeze, must go through testing-proposed-updates if it 
can't go through sid.

Regards,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#685268; Package release.debian.org. (Sat, 15 Sep 2012 17:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 15 Sep 2012 17:18:03 GMT) Full text and rfc822 format available.

Message #54 received at 685268@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: Michael Gilbert <mgilbert@debian.org>
Cc: 686174@bugs.debian.org, 685268@bugs.debian.org, team@security.debian.org
Subject: Re: Your isc-dhcp 4.2.2.dfsg.1-5+wheezy1 upload
Date: Sat, 15 Sep 2012 12:14:25 -0500
Hi again,

On Friday 14 September 2012 18:46:48 Raphael Geissert wrote:
> * Uploads must be coordinated and ACKed by the security team. Unless I'm
> missing something, it didn't happen this way.

I've been pointed out that you talked to Nico about it.  Please accept my 
apologies.

Kind regards,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#685268; Package release.debian.org. (Mon, 17 Sep 2012 22:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 17 Sep 2012 22:09:03 GMT) Full text and rfc822 format available.

Message #59 received at 685268@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 685268@bugs.debian.org
Cc: team@security.debian.org
Subject: Re: Bug#685268: Your isc-dhcp 4.2.2.dfsg.1-5+wheezy1 upload
Date: Mon, 17 Sep 2012 18:05:59 -0400
On Fri, Sep 14, 2012 at 7:46 PM, Raphael Geissert wrote:
> Hi,
>
> I'm rejecting your isc-dhcp upload to the security archive for the following
> reasons:
>
> * Uploads must be coordinated and ACKed by the security team. Unless I'm
> missing something, it didn't happen this way.
> * Incorrect version numbering. For Wheezy the +debNuX schema will be used.
> * The testing-security queue is not functional. Any security update for
> wheezy, during its freeze, must go through testing-proposed-updates if it
> can't go through sid.

I just uploaded version 4.2.2.dfsg.1-5+deb70u1 to
testing-proposed-updates.  It contains only the security patches that
were included in version 4.2.4-2 uploaded to unstable a few days ago.

Please review and thanks in advance,
Mike



Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Tue, 18 Sep 2012 12:21:04 GMT) Full text and rfc822 format available.

Notification sent to Michael Gilbert <mgilbert@debian.org>:
Bug acknowledged by developer. (Tue, 18 Sep 2012 12:21:04 GMT) Full text and rfc822 format available.

Message #64 received at 685268-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Michael Gilbert <mgilbert@debian.org>, <685268-done@bugs.debian.org>
Cc: <team@security.debian.org>
Subject: Re: Bug#685268: Your isc-dhcp 4.2.2.dfsg.1-5+wheezy1 upload
Date: Tue, 18 Sep 2012 13:17:08 +0100
On 17.09.2012 23:05, Michael Gilbert wrote:
> On Fri, Sep 14, 2012 at 7:46 PM, Raphael Geissert wrote:
>> I'm rejecting your isc-dhcp upload to the security archive for the 
>> following
>> reasons:
>>
>> * Uploads must be coordinated and ACKed by the security team. Unless 
>> I'm
>> missing something, it didn't happen this way.
>> * Incorrect version numbering. For Wheezy the +debNuX schema will be 
>> used.
>> * The testing-security queue is not functional. Any security update 
>> for
>> wheezy, during its freeze, must go through testing-proposed-updates 
>> if it
>> can't go through sid.
>
> I just uploaded version 4.2.2.dfsg.1-5+deb70u1 to
> testing-proposed-updates.  It contains only the security patches that
> were included in version 4.2.4-2 uploaded to unstable a few days ago.

"N" is "7" here, rather than "70", fwiw.  Yes, I know dev ref needs 
updating (see my previous mails elsewhere), and it's not worth a 
re-upload just for that.

Accepted; thanks.

Regards,

Adam



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Oct 2012 07:27:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:36:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.